package com.github.nullptroma.wallenc.domain.tasks

import com.github.nullptroma.wallenc.domain.errors.WallencException

sealed class TaskLogKey {
    data class SyncStarted(val reason: StorageSyncTriggerReason) : TaskLogKey()
    data class SyncFinished(val reason: StorageSyncTriggerReason) : TaskLogKey()
    data class SyncFailed(
        val error: WallencException,
        val reason: StorageSyncTriggerReason,
    ) : TaskLogKey()
}
